<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- <div> tag creates a container element that's used to group certain HTML elements together -->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>

		<main>
			<section>
				<!-- HTML Entities -->
				<h2>HTML Entities</h2>
				<p>
					<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
				</p>

				<!-- <table> tag - defines an HTML table that allows us to represent data in tabular format. -->
				<table border="1">
					<!-- <thead> - used to group header content in an HTML Table -->
					<thead>
						<!-- <tr> tag - defines a table row -->
						<tr>
							<!-- <th> tag - defines a table header element -->
							<!-- 
								colspan attributes - changes the amount of a table element will occupy (rowspan)
							-->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

					<!-- <tbody> tag - used to group body content in a HTML table -->
					<tbody>
						<tr>
							<!-- <td> tag - defines a table element. -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>

					<!-- <tfoot> tag - used to group footer content in a HTML Table -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
			</section>

			<!-- End of the HTML Table Discussion -->

			<section>
				<!-- HTML Forms -->
				<h2>HTML Forms</h2>
				<p>
					<em>Input elements that make up a form.</em>
				</p>

				<!-- 
					<form> tag - creates a HTML form to capture user input
						- action attribute - specifies where the information will be sent after submission.
						- <button type="value"> - define how the button will behave.
							- submit is the default value and not necessary to be included, but as a good practice it is added to HTML forms.

					input tag other attributes:
						- for attribute - This allows the users to select the input field when they click on the label for a better user experience.
							- Note: This is usually used with an id attribute

						- name attribute - This will provide the input field with a name that we can use to associate with the information provided by the user.
							- Note: This defines the name of form control and will be sent along with the input field value upon submission.
						
						- required attribute - This will not allow the form to be submitted without any user input.

						- autocomplete attribute - This will provide suggestions for text inputs for a better user experience.
							-Note: This will work if the form was filled out once and submitted.
				 -->
				<form action="https://google.com">
					<!-- Full Name -->
					<label for="full_name">Full Name:</label><br>
					<input type="text" name="full_name" id="full_name" required autocomplete><br>

					<!-- Birth Date -->
					<label for="birth_date">Birth Date:</label><br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<!-- Age -->
					<label for="age">Age:</label><br>
            		<!-- mix and max value to change the range -->
            		<input type="number" name="age" id="age" min="1" max="100" required><br>

					<!-- Gender: Dropdown menu -->
					<label for="gender">Gender:</label><br>
					<!-- Creates a dropdown menu -->
					<select name="gender" id="gender">
						<!-- Creates an option for the dropdown -->
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select><br>

					<!-- Notes -->
					<label for="notes">Notes:</label><br>
					<textarea name="notes" id="notes" rows="5"></textarea><br>

					<!-- New User: Radio Buttons -->
					<!-- For radio buttons, name attribute should be the same. -->
					<label>New User:</label><br>
					<input type="radio" name="new_user" id="user-type1">
					<label for="user-type1">Yes</label><br>

					<input type="radio" name="new_user" id="user-type2">
					<label for="user-type2">No</label><br><br>

					<!-- Role: Checkbox -->
					<!-- checkbox value will create a checkbox to get multiple option values. -->
					<label>Role:</label><br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Manager</label><br><br>

					<!-- Buttons -->
					<button type="submit">Submit</button><br>
					<button type="reset">Reset</button>
				</form>
			</section>		
		</main>

	</body>
</html>
